### Signal

# Shell AppSystem::app-state-changed

since: 14

#### Declaration

    void
    app_state_changed (
      ShellAppSystem* self,
      ShellApp* object,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 14

#### Parameters

`object`

  Type: `ShellApp`

  No description available.

  The data is owned by the caller of the function.